Subject: bug#37483: [PATCH] macOS build error (aligned_alloc)

From: Alan Third <[email-masked]>
Date: Mon, 23 Sep 2019 19:37:09 +0100

On Mon, Sep 23, 2019 at 11:14:55AM +0200, Mattias Engdegård wrote:
> 22 sep. 2019 kl. 22.14 skrev [email-masked]:
> > 
> > You would need to install the Command Line Developer Tools with
> > "xcode-select --install".  In general this is necessary when the
> > macOS version is older than the newest one Xcode supports.  In
> > the case of Xcode 11, it is macOS 10.15.
> > 
> > Actually you don't need Xcode for building Emacs, but the Command
> > Line Developer Tools would be sufficient.
> 
> Thank you, this is useful to know.
> 
> Even so, doesn't it make sense to make the configure script work
> with tools that support newer OS versions? After all, we are not
> talking about cross-tools or tools that can only generate code for
> newer versions. If I want to use the most recent toolchain for my
> OS, these (Xcode 11) tools are the ones to use.

The command line tools are closely related to XCode, they’re not old
or obsolete.

-- 
Alan Third